<?php
/**
 * @copyright 
 * @license   
 */

class pc_do_fh_good_add extends OpenPNE_Action
{
    function execute($requests)
    {

        $u = $GLOBALS['AUTH']->uid();
        $target_c_member_id = $u;

        // --- リクエスト変数
        $target_c_diary_id = $requests['target_c_diary_id'];
        $good_type = $requests['good_type'];
        // ----------
        $result = good_insert($target_c_diary_id, $target_c_member_id, $good_type);

        $parms = array(
            'target_c_diary_id' => intval($target_c_diary_id)
        );
        openpne_redirect('pc', 'page_fh_diary', $parms);
    }
}

?>
